← Tables

Scotland

West Region League Division 1

#TeamPWDLPDBPPtsForm
1Dalziel RFC6501+61626LWWWW
2Carrick RFC5500+134525WWWWW
3Strathendrick RFC6501+184424WWWWW
4Strathaven RFC6402+76824WWWLL
5Oban Lorne RFC6402+15420WLWWW
6Cumbernauld RFC5302-30517WWWLL
7Cambuslang RFC6105-11048LLLWL
8East Kilbride RFC6105-12837LLLLL
9Annan RFC6105-9226LLLLW
10Greenock Wanderers RFC6006-11044LLLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.